Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006303 [JEDI VCL] 00 JVCL Components minor always 2014-07-14 23:57 2015-09-21 17:47
Reporter leobruno View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006303: Issue 0006279 Adendum
Description The issue 0006279 was marked as solved, but there are some things that were not taken in consideration.

1 - If no page is added to the TJVPagelist , it doesn´t get the theme color (it does not get painted). It only works if there are at least one page created on the TJVPagelist .

Therefore, if the form starts with no page created and the pages are created at runtime, until they get created, the TJVPagelist stays with the clButtonFace color.

2 - The theme is not being propagated to some components. Ex:
Putting a TPanel over a page, doesn´t paint the TPanel although the TPanel is normally painted if placed over a native delphi component. If the TPanel placed over the TJVPagelist page is clNone, it gets the correct theme color.

Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0021032)
obones (administrator)
2014-09-03 11:38

Please provide the zipped sources of a sample application showing this
(0021063)
AHUser (developer)
2014-10-01 11:35

Added more workarounds for Style-Engine issues.

- Issue History
Date Modified Username Field Change
2014-07-14 23:57 leobruno New Issue
2014-09-03 11:38 obones Note Added: 0021032
2014-09-03 11:38 obones Status new => feedback
2014-10-01 11:35 AHUser Note Added: 0021063
2014-10-01 11:35 AHUser Status feedback => resolved
2014-10-01 11:35 AHUser Fixed in Version => Daily / GIT
2014-10-01 11:35 AHUser Resolution open => fixed
2014-10-01 11:35 AHUser Assigned To => AHUser
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker